INTERFACE
SUBROUTINE LW15 ( KIDIA,KFDIA,KLON,KTDIA,KLEV,&
 & KAER,KMODE,KFLUX,KRAD,&
 & PCCO2,PCLDLD,PCLDLU,PDP,PDT0,PEMIS,PPMB,PPSOL,PQOF,PTL,&
 & PAER,PTAVE,PVIEW,PWV,&
 & PCOLR,PCOLC,PFLUX,PFLUC ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMLW15 , ONLY : NUA15
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM) :: KTDIA
INTEGER(KIND=JPIM) :: KAER
INTEGER(KIND=JPIM) :: KMODE
INTEGER(KIND=JPIM) :: KFLUX
INTEGER(KIND=JPIM) :: KRAD
REAL(KIND=JPRB) ,INTENT(IN) :: PCCO2
REAL(KIND=JPRB) ,INTENT(IN) :: PCLDLD(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLDLU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDT0(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PPMB(KLON,KLEV+1)
REAL(KIND=JPRB) :: PPSOL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PQOF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTL(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAER(KLON,KLEV,6)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAVE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVIEW(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PWV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOLR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOLC(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFLUX(KLON,2,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFLUC(KLON,2,KLEV+1)
END SUBROUTINE LW15
END INTERFACE
